/*
Arduino 189/TeensyDuino 1.46 
HID Bluetooth library - developed by Kristian Lauszus.
 For more information visit the blog: http://blog.tkjelectronics.dk/ .
Also see for other library : 
https://github.com/felis/USB_Host_Shield_2.0
and
https://github.com/gdsports/xac-mouse2joy/blob/master/joystick_teensy_20181205.zip
 
****************
Le développement de ce code a été modifié par Christian Fromentin MHK Rennes.

Voir le fichier "Regarde-moi.txt" dans le dossier XAC-Joystick

*/


#include <hidboot.h>
#include <usbhub.h>
#include "MouseParser.h"


// Satisfy the IDE, which needs to see the include statment in the ino too.
#ifdef dobogusinclude
#include <spi4teensy3.h>
#endif
#include <SPI.h>


USB         Usb;
USBHub      Hub(&Usb);
HIDBoot<USB_HID_PROTOCOL_MOUSE>    HidMouse(&Usb);

MouseRptParser      Prs;

uint8_t usbstate;

void setup()
{
  Usb.Init();
  HidMouse.SetReportParser(0, &Prs);
}

void loop()
{
  Usb.Task();
}
